Package org.snpsift

# Class SnpSiftCmdVcf2Tped

java.lang.Object
org.snpsift.SnpSift
org.snpsift.SnpSiftCmdVcf2Tped

All Implemented Interfaces:
  `org.snpeff.snpEffect.commandLine.CommandLine`, `org.snpeff.snpEffect.VcfAnnotator`

public class SnpSiftCmdVcf2Tped extends SnpSift
Transform a VCF to a TPED file

Author:
  pcingola

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`SnpSiftCmdVcf2Tped.UseMissing`

## Field Summary

### Fields inherited from class org.snpsift.SnpSift

`args, BUILD, command, config, configFile, dataDir, dbFileName, dbTabix, dbType, debug, download, EMPTY_ARGS, errCount, genomeVersion, help, log, needsConfig, needsDb, needsGenome, numWorkers, output, quiet, REVISION, saveOutput, shiftArgs, SHOW_EVERY_VCFLINES, showVcfHeader, showVersion, SOFTWARE_NAME, suppressOutput, vcfHeaderAddProgramVersion, vcfHeaderProcessed, vcfInputFile, verbose, VERSION, VERSION_MAJOR, VERSION_NO_NAME, VERSION_SHORT`

## Constructor Summary

Constructors
Constructor
Description
`SnpSiftCmdVcf2Tped()`
`SnpSiftCmdVcf2Tped(String[] args)`

## Method Summary

Modifier and Type
Method
Description
`void`
`init()`
Default parameters
`void`
`parseArgs(String[] args)`
Parse command line arguments
`boolean`
`run()`
Run annotations
`void`
`usage(String msg)`
Show usage message
`void`
`vcf2Tped(String vcfFile, String tfamFile, String outTfamFile, String outTpedFile)`
Convert a VCF to a TPED file

### Methods inherited from class org.snpsift.SnpSift

`addHeaders, annotate, annotateFinish, annotateInit, cmd, commandLineStr, databaseDownload, databaseFind, error, getArgs, getConfig, getConfigFile, getOutput, headers, isOpt, loadConfig, main, openVcfInputFile, processVcfHeader, setCommand, setCommand, setConfig, setConfigFile, setDbFileName, setDebug, setQuiet, setSaveOutput, setShowVcfHeader, setShowVersion, setSuppressOutput, setVcfHeaderAddProgramVersion, setVerbose, showCmd, showVersion, unSanitize, usageGenericAndDb`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SnpSiftCmdVcf2Tped

public SnpSiftCmdVcf2Tped()

### SnpSiftCmdVcf2Tped

public SnpSiftCmdVcf2Tped(String[] args)

## Method Details

### init

public void init()
Default parameters

Overrides:
  `init` in class `SnpSift`

### parseArgs

public void parseArgs(String[] args)
Description copied from class: `SnpSift`
Parse command line arguments

Specified by:
  `parseArgs` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `parseArgs` in class `SnpSift`

### run

public boolean run()
Run annotations

Specified by:
  `run` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `run` in class `SnpSift`

### usage

public void usage(String msg)
Show usage message

Specified by:
  `usage` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `usage` in class `SnpSift`
Parameters:
  `msg` -

### vcf2Tped

public void vcf2Tped(String vcfFile, String tfamFile, String outTfamFile, String outTpedFile)
Convert a VCF to a TPED file

Parameters:
  `vcfFile` -
  `tpedFile` - Important: If the variant is NOT a SNP, we create a 'fake' snp ( A -> T ). This is done in order to be able to MAP InDels into PED files and keep compatibility with downstream programs (GenAble). Yes, it's an awful hack. YOu've been warned!